int T = int.Parse(Console.ReadLine());
            for (int K = 0; K < T; K++)
            {
                long M, N;
                string[] brojevi = Console.ReadLine().Split(' ');
                M = long.Parse(brojevi[0]);
                N = long.Parse(brojevi[1]);
                long nule = M - 2;
                if (M == N)
                {
                    for (int i = 0; i < M; i++)
                    {
                        long tr = nule - i + 1;
                        if (i == 0 || i == M - 1)
                        {
                            for (int j = 0; j < N; j++)
                            {
                                if (j != N - 1)
                                {
                                    Console.Write("1 ");
                                }
                                else
                                {
                                    Console.Write('1');
                                }
                            }
                            Console.WriteLine();
                        }
                        else
                        {
                            for (int j = 0; j < N; j++)
                            {

                                if (j == 0)
                                {
                                    Console.Write("1 ");
                                }
                                else if (j == N - 1)
                                {
                                    Console.Write("1");
                                }
                                else if (tr > 0)
                                {
                                    Console.Write("0 ");
                                    tr--;
                                }
                                else
                                {
                                    Console.Write("1 ");
                                }
                            }
                            Console.WriteLine();
                        }
                    }
                }
                else
                {
                    Console.WriteLine("-1");
                }
            }